Is AI recommending you? Ask Contentstack Canoe for free
Is AI recommending your brand? Find out with Contentstack Canoe for free
Contentstack.comAcademyLogin
CS-log-dark.svgCS-log-dark.svg
  • Changelog
  • APIs
  • SDKs

Platform

  • Solution Center
  • Marketplace
  • Changelog
  • Developers & IT
  • Business users
  • Digital leaders
  • Developer Fast Track
  • Plans & Pricing

Solutions

  • Retail
  • Travel and tourism
  • Financial services
  • Technology
  • Manufacturing
  • E-commerce
  • Localization
  • Personalization
  • Portals and knowledge bases

Resources

  • Academy
  • Docs
  • Contentstack for Developers
  • Product updates
  • Contentstack on Contentstack
  • Blog
  • Insights and analyst reports
  • The Forrester Wave™: Digital Experience Platforms, Q4 2025
  • Webinars
  • Podcasts
  • Glossary
  • Content generative library
  • Community
  • Headless CMS
  • Composable AXP
  • Personalization
  • CDP

Customers

  • Case Studies
  • Customer Care
  • Contentstack Experience Awards
  • Customer support

Partners

  • Overview
  • Find a partner
  • Login

Company

  • About us
  • News
  • Customer support portal
  • Contact

Social

  • Facebook
  • LinkedIn
  • Instagram
  • GitHub
  • YouTube
  • Discord
  • X
LegalTermsPrivacyTrust Center

Cookie settings

Copyright © 2026 Contentstack Inc. All rights reserved.
/
  1. Home
  2. APIs
  3. Lytics API
  4. V1
  5. User

User

markdownView as Markdown

Info about Administrative Lytics account users

* Lytics users are unique across accounts

* They get *invited* to have access to your account

User Fetch

GEThttps://api.lytics.io/api/user/{userid}

Get a single admin user

Sample Response
Status|200 OK
12345678910111213141516171819202122232425
{
  "data": {
    "account_id": "4f7b175bdba058fc092357a6",
    "aid": 122,
    "created": "2014-08-04T21:18:20.124Z",
    "updated": "2014-08-04T21:18:20.124Z",
    "email": "[email protected]",
    "id": "120642b03a2d54551e637f56cbf61b73",
    "name": "Bill Jenkins",
    "accounts": [
      {
        "aid": 122,
        "account_id": "4f7b175bdba058fc092357a6",
        "granted_by": "500418690088145",
        "roles": [
          "api",
          "segments",
          "admin"
        ],
        "created": "2014-08-04T21:18:20.124Z",
        "updated": "2014-08-04T21:18:20.124Z"
      }
    ]
  }
}

User Update

PUThttps://api.lytics.io/api/user/{userid}

Update An **Lytics Admin User**

Sample Response
Status|200 OK
12345678910111213141516171819202122232425
{
  "data": {
    "account_id": "4f7b175bdba058fc092357a6",
    "aid": 122,
    "created": "2014-08-04T21:18:20.124Z",
    "updated": "2014-08-04T21:18:20.124Z",
    "email": "[email protected]",
    "id": "120642b03a2d54551e637f56cbf61b73",
    "name": "Bill Jenkins",
    "accounts": [
      {
        "aid": 122,
        "account_id": "4f7b175bdba058fc092357a6",
        "granted_by": "500418690088145",
        "roles": [
          "api",
          "segments",
          "admin"
        ],
        "created": "2014-08-04T21:18:20.124Z",
        "updated": "2014-08-04T21:18:20.124Z"
      }
    ]
  }
}

User List

GEThttps://api.lytics.io/api/user

Get a list of all administrative users for an account and their roles.

Sample Response
Status|200 OK
123456789101112131415161718192021222324252627
{
  "data": [
    {
      "account_id": "4f7b175bdba058fc092357a6",
      "aid": 122,
      "created": "2014-08-04T21:18:20.124Z",
      "updated": "2014-08-04T21:18:20.124Z",
      "email": "[email protected]",
      "id": "120642b03a2d54551e637f56cbf61b73",
      "name": "Bill Jenkins",
      "accounts": [
        {
          "aid": 122,
          "account_id": "4f7b175bdba058fc092357a6",
          "granted_by": "500418690088145",
          "roles": [
            "api",
            "segments",
            "admin"
          ],
          "created": "2014-08-04T21:18:20.124Z",
          "updated": "2014-08-04T21:18:20.124Z"
        }
      ]
    }
  ]
}

User Create

POSThttps://api.lytics.io/api/user

Create/Invite A **Lytics Admin User** this will either create

a new user if that email is new, or invite user to have access to

current account.

``sh

# Create/Invite new user for current LIOKEY account

# with suppression to not send welcome email

curl -v -XPOST "https://api.lytics.io/api/user?suppress=true" \

-H 'Content-type: application/json' \

-H "Authorization: $LIOKEY" \

-d '{

"email" : "[email protected]"

, "password":"aNotSoGoodPassword%^"

, "name":"aaron"

, "roles": ["api","admin"]

}'

``

Sample Request
1234
{
  "name": "Bob",
  "email": "[email protected]"
}
Sample Response
Status|201 Created
12345678910111213141516171819202122232425
{
  "data": {
    "account_id": "4f7b175bdba058fc092357a6",
    "aid": 122,
    "created": "2014-08-04T21:18:20.124Z",
    "updated": "2014-08-04T21:18:20.124Z",
    "email": "[email protected]",
    "id": "120642b03a2d54551e637f56cbf61b73",
    "name": "Bill Jenkins",
    "accounts": [
      {
        "aid": 122,
        "account_id": "4f7b175bdba058fc092357a6",
        "granted_by": "500418690088145",
        "roles": [
          "api",
          "segments",
          "admin"
        ],
        "created": "2014-08-04T21:18:20.124Z",
        "updated": "2014-08-04T21:18:20.124Z"
      }
    ]
  }
}

User SetPassword

POSThttps://api.lytics.io/api/user/{userid}/setpassword


Sample Request
123
{
  "password": "abc"
}
Sample Response
Status|201 Created
12345678910111213141516171819202122232425
{
  "data": {
    "account_id": "4f7b175bdba058fc092357a6",
    "aid": 122,
    "created": "2014-08-04T21:18:20.124Z",
    "updated": "2014-08-04T21:18:20.124Z",
    "email": "[email protected]",
    "id": "120642b03a2d54551e637f56cbf61b73",
    "name": "Bill Jenkins",
    "accounts": [
      {
        "aid": 122,
        "account_id": "4f7b175bdba058fc092357a6",
        "granted_by": "500418690088145",
        "roles": [
          "api",
          "segments",
          "admin"
        ],
        "created": "2014-08-04T21:18:20.124Z",
        "updated": "2014-08-04T21:18:20.124Z"
      }
    ]
  }
}
Hide Parameters

URL Parameters

useridrequiredstring

Example:

1234abc

Query Parameters

account_idoptionalstring

Your Lytics account ID.

Headers

Authorizationoptionalstring

Hide Parameters

URL Parameters

useridrequiredstring

Example:

1234abc

Query Parameters

account_idoptionalstring

Your Lytics account ID.

Headers

Authorizationoptionalstring

Hide Parameters

Headers

Authorizationoptionalstring

Hide Parameters

Query Parameters

account_idoptionalstring

Your Lytics account ID.

suppressoptionalstring

default = false, supress email invite

Headers

Authorizationoptionalstring

Body Parameters

nameoptionalstring
emailoptionalstring
Hide Parameters

URL Parameters

useridrequiredstring

userid, or email

Example:

[email protected]

Query Parameters

account_idoptionalstring

Your Lytics account ID.

Headers

Authorizationoptionalstring

Body Parameters

passwordoptionalstring